package com.ruoyi.file.service;

import lombok.Data;

import java.time.LocalDateTime;

@Data
public class UploadFile {
    private String id;

    //文件在系统中的名称
    private String name;

    //文件名称
    private String fileName;

    //文件后缀
    private String fileSuffix;

    //文件类型
    private Integer type;

    //主目录
    private String domain;

    //完整目录
    private String path;

    //扩展目录
    private String pathExt;

    //文件大小
    private Integer size;

    //关联的业务id
    private String bussinessId;

    //逻辑删除状态
    private Integer status;

    private LocalDateTime createTime;

    private String createBy;

    private LocalDateTime updateTime;

    private String updateBy;
}